Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 246602 - libgnomecups checks for cups lpoptions in the wrong place
Summary: libgnomecups checks for cups lpoptions in the wrong place
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomecups
Version: 6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FC6Update F7Update
TreeView+ depends on / blocked
 
Reported: 2007-07-03 12:29 UTC by Stijn Hoop
Modified: 2013-03-06 03:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 509064 (view as bug list)
Environment:
Last Closed: 2008-03-05 04:18:45 UTC


Attachments (Terms of Use)
also check ~/.cups/lpoptions for CUPS options (deleted)
2007-07-03 12:29 UTC, Stijn Hoop
no flags Details | Diff

Description Stijn Hoop 2007-07-03 12:29:10 UTC
Description of problem:

For cups 1.2 the default user specific queue options are written to
~/.cups/lpoptions. libgnomecups only checks the old ~/.lpoptions location.

This problem was also discovered & fixed in Ubuntu, bug #34112. The patch
attached is an extract from the one by Martin Pitt in that bug.

Version-Release number of selected component (if applicable):

libgnomecups-0.2.2-8.x86_64

Additional info:

Note that libgnomecups doesn't even honor any lpoptions by default; for that the
patch in bug 157878 is needed.

Comment 1 Stijn Hoop 2007-07-03 12:29:10 UTC
Created attachment 158430 [details]
also check ~/.cups/lpoptions for CUPS options

Comment 2 Matthias Clasen 2008-03-05 04:18:45 UTC
This patch is in rawhide now.


Note You need to log in before you can comment on or make changes to this bug.